List user attributes
curl --request GET \
--url https://{instance}.omniapp.co/api/v1/user-attributes \
--header 'Authorization: Bearer <token>'import requests
url = "https://{instance}.omniapp.co/api/v1/user-attributes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{instance}.omniapp.co/api/v1/user-attributes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"records": [
{
"id": "",
"name": "omni_user_id",
"label": "Omni User ID",
"type": "String",
"multiple_values": false,
"default_value": null,
"description": null,
"system": true
},
{
"id": "",
"name": "omni_user_email",
"label": "Omni User Email",
"type": "String",
"multiple_values": false,
"default_value": null,
"description": null,
"system": true
},
{
"id": "",
"name": "omni_user_name",
"label": "Omni User Name",
"type": "String",
"multiple_values": false,
"default_value": null,
"description": null,
"system": true
},
{
"id": "",
"name": "omni_user_timezone",
"label": "Omni User Timezone",
"type": "String",
"multiple_values": false,
"default_value": null,
"description": null,
"system": true
},
{
"id": "",
"name": "omni_is_org_admin",
"label": "Omni Is Org Admin",
"type": "String",
"multiple_values": false,
"default_value": null,
"description": null,
"system": true
},
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "region",
"label": "Region",
"type": "String",
"multiple_values": false,
"default_value": "us-east",
"description": "User region for RLS",
"system": false
},
{
"id": "b2c3d4e5-f6a7-8901-bcde-f23456789012",
"name": "access_level",
"label": "Access Level",
"type": "Number",
"multiple_values": false,
"default_value": "1",
"description": "Numeric access level for user permissions",
"system": false
},
{
"id": "c3d4e5f6-a7b8-9012-cdef-234567890123",
"name": "departments",
"label": "Departments",
"type": "String",
"multiple_values": true,
"default_value": null,
"description": "User departments for data filtering",
"system": false
}
]
}{
"error": "Unauthorized",
"message": "Invalid or missing API key"
}{
"error": "Forbidden",
"message": "User does not have permission to manage user attributes"
}{
"error": "<response_code>",
"message": "<error_reason>"
}{
"error": "<response_code>",
"message": "<error_reason>"
}{
"error": "<response_code>",
"message": "<error_reason>"
}User attributes
List user attributes
GET
/
v1
/
user-attributes
List user attributes
Authorizations
Can be either an Organization API Key or Personal Access Token (PAT).
Include in the Authorization header as: Bearer YOUR_TOKEN
Response
List of user attribute definitions
Show child attributes
Show child attributes
Was this page helpful?
⌘I

